<ngx-loading [show]="loading" />

<div class="main-section application-page mt-30 mr-0 mb-30 ml-0">
  <div class="page-section">
    <div class="container">
      <div class="page-content col-md-8 col-md-offset-2 col-sm-12 col-xs-12">
        <div
          #alert
          [ngClass]="[jds.alert, jds.alertPrimary, jds.alertDismissible]"
        >
          <div [ngClass]="[jds.d('flex')]">
            <div>
              <i
                class="icon fa fa-info-circle"
                [ngClass]="jds.me(16)"
                aria-hidden="true"
              ></i>
            </div>
            <div>
              <div [ngClass]="jds.mb(8)">
                Ingin mengetahui bagaimana cara untuk menggunakan fitur preview
                grafik? Temukan caranya disini.
              </div>
              <a
                [ngClass]="[jds.alertLink, jds.fs(14)]"
                [routerLinkActive]="['active']"
                [routerLink]="['/help']"
                [queryParams]="{ topic: 'dataset' }"
                fragment="preview-dataset-in-graph-form"
                queryParamsHandling="merge"
              >
                Jelajahi selengkapnya
              </a>
            </div>
          </div>
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <div
          #alert
          [ngClass]="[jds.alert, jds.alertSecondary, jds.alertDismissible]"
        >
          <strong>Holy guacamole!</strong> You should check in on some of those
          fields below.
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <div
          #alert
          [ngClass]="[jds.alert, jds.alertSuccess, jds.alertDismissible]"
        >
          <strong>Holy guacamole!</strong> You should check in on some of those
          fields below.
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <div
          #alert
          [ngClass]="[jds.alert, jds.alertInfo, jds.alertDismissible]"
        >
          <strong>Holy guacamole!</strong> You should check in on some of those
          fields below.
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <div
          #alert
          [ngClass]="[jds.alert, jds.alertWarning, jds.alertDismissible]"
        >
          <strong>Holy guacamole!</strong> You should check in on some of those
          fields below.
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <div
          #alert
          [ngClass]="[jds.alert, jds.alertDanger, jds.alertDismissible]"
        >
          <strong>Holy guacamole!</strong> You should check in on some of those
          fields below.
          <button
            [ngClass]="jds.buttonClose"
            (click)="alert.remove()"
            type="button"
          ></button>
        </div>

        <form
          class="form"
          [formGroup]="myForm"
          (ngSubmit)="onSubmit()"
          (keydown.enter)="$event.stopPropagation()"
        >
          <div class="form-group">
            <label>Judul <span class="text-danger">*</span></label>
            <input
              class="form-control"
              type="text"
              placeholder="Contoh : Indeks Keamanan Informasi"
              formControlName="name"
            />
            <div *ngIf="f.name?.invalid && (f.name?.dirty || f.name?.touched)">
              <span
                class="messages text-danger"
                *ngIf="f.name?.errors.required"
              >
                Harus diisi
              </span>
              <span
                class="messages text-danger"
                *ngIf="f.name?.errors.maxlength"
              >
                Panjang maksimal 255 karakter.
              </span>
            </div>
          </div>

          <div class="form-group">
            <label>Tanggal Rilis <span class="text-danger">*</span></label>
            <ejs-datepicker
              [start]="start"
              [depth]="depth"
              [format]="format"
              formControlName="datetime"
              placeholder="Pilih Tanggal Rilis"
            ></ejs-datepicker>

            <div
              *ngIf="
                f.datetime?.invalid &&
                (f.datetime?.dirty || f.datetime?.touched)
              "
            >
              <span
                class="messages text-danger"
                *ngIf="f.datetime?.errors.required"
              >
                Harus diisi
              </span>
            </div>
          </div>

          <div class="form-group">
            <label>Format Number</label>
            £ 12,345,678.90 GBP => {{ acc1 }}
            <br />
            Rp12.345.678,90 => {{ acc7 }}
            <br />
            100000 => {{ acc2 }}
            <br />
            100000.2 => {{ acc3 }}
            <br />
            100000,2 => {{ acc4 }}
            <br />
            100,000.2 => {{ acc5 }}
            <br />
            100.000,2 => {{ acc6 }}
          </div>

          <div class="form-group">
            <label>Spreadsheet</label>
            <div
              class="form-group spreadsheet"
              #spreadsheet
            >
              <div
                class="input-spreadsheet"
                id="input-spreadsheet"
              ></div>
            </div>

            <div class="form-group pull-right">
              <button
                class="btn btn-primary btn-md"
                [disabled]="!myForm.valid"
                type="submit"
              >
                Selanjutnya
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
